RPi Model 3B+ - NOT COMPATIBLE

all about Meteohub on the new Raspberry PI platform

Moderator: Mattk

Post Reply
baobab
Junior Boarder
Junior Boarder
Posts: 32
Joined: Sat Dec 25, 2010 11:00 pm

RPi Model 3B+ - NOT COMPATIBLE

Post by baobab »

Hello,

Can you please update the information on the Meteohub website to clearly state that the image for the Raspberry Pi is NOT compatible with model 3B+. I just spent $50 on a 3B+ to upgrade from my old iConnect only to realize it won’t work.

Thank you.

Baobab

BigAlT
Expert Boarder
Expert Boarder
Posts: 155
Joined: Tue Jul 04, 2017 8:41 pm
Location: Washington State

Re: RPi Model 3B+ - NOT COMPATIBLE

Post by BigAlT »

The website does state that Meteohub is only supported on the RPi B, B+, model 2 and Model 3. Note that the 3B ( which does work ) and the 3B+ ( which doesn’t work ) are Not Listed. Though not specifically excluded, it is apparent that they are not officially supported.

“Please understand that for capacity reasons "meteohub.de" does only provide support for installation on these "official" platforms only.
Raspberry PI Model B and B+ and Model 2 and Model 3”

While it’s not compatible with the standard image, there is a hack that will work though not as well as I’d like. See this thread :
viewtopic.php?p=25234#p25234

There is a free open source program that runs on the 3b+ that supports most of the popular weather stations ( Weewx ) but does require either experience in or learning how to connect and install the software at the root level of the RPi.
I am using Weewx and if you have a supported weather station and can master downloading and installing the software at the root level, it does work great and has browser based graphs of the data.

baobab
Junior Boarder
Junior Boarder
Posts: 32
Joined: Sat Dec 25, 2010 11:00 pm

Re: RPi Model 3B+ - NOT COMPATIBLE

Post by baobab »

Thanks for the reply. I’m not taking issue with it not working on 3B+. I understand the technical reasons and that it would take effort to port it to that device. What, I would suggest is that the information provided is not as clear as it could be. Not every model of RPi 2 that it works on is listed because it works on all of them. So when it says it works on RPi 2 and 3 the assumption is that it also works on all RPi 3 models. Simply adding that it doesn’t work on the 3B+ model would fix the problem.

Stating it like this: “Raspberry PI Model B and B+ and Model 2 and Model 3 (except 3B+)” would prevent anyone else from making the mistake I made.

As far as WeeWx goes I have been tinkering with it on Docker but I’m hesitant to commit to a new solution. I’d love to move to the Meteobridge Nano but it doesn’t meet all my needs. Meteohub does, but it has its own set of issues - based on outdated version of Debian, flash memory wear, lack of current hardware support, etc. With Meteohub approaching end-of-life it would be interesting to know if there are any plans to move it to open source to allow the user community to maintain it.

Ultimately what I am looking for is a solution that allows me to integrate my weather station with my home automation system (OpenHAB based) with the least amount of effort.

Baobab.

BigAlT
Expert Boarder
Expert Boarder
Posts: 155
Joined: Tue Jul 04, 2017 8:41 pm
Location: Washington State

Re: RPi Model 3B+ - NOT COMPATIBLE

Post by BigAlT »

I don’t know if it would work for you but Boris has just released an RPi version of his meteobridge software that does run on the 3B+ and 4B. You need an industrial grade 1GB or 2GB SLC type memory micro SD card ( which is available on eBay for around $20 ) and to purchase a meteobridge license ( must be renewed every 2 years to continue to get updates after the expiration date ).
Last edited by BigAlT on Mon Nov 02, 2020 5:34 pm, edited 1 time in total.

User avatar
galfert
Gold Boarder
Gold Boarder
Posts: 231
Joined: Sun Jun 24, 2018 10:31 pm
Location: Orlando, FL

Re: RPi Model 3B+ - NOT COMPATIBLE

Post by galfert »

BigAlT wrote:
Sun Nov 01, 2020 11:04 pm
... purchase a meteobridge license ( must be renewed every 2 years ).
License renewal is optional. You can continue to run the version available at the 2 year mark. The license renewal is only if you want to continue to get the newest version.
Meteobridge RPI | GW1000

rainrainrain
Senior Boarder
Senior Boarder
Posts: 53
Joined: Fri Jul 11, 2014 9:22 am

Re: RPi Model 3B+ - NOT COMPATIBLE

Post by rainrainrain »

BigAlT wrote:
Thu Oct 29, 2020 2:33 am
While it’s not compatible with the standard image, there is a hack that will work though not as well as I’d like. See this thread :
viewtopic.php?p=25234#p25234
That was a pretty awful hack, and I never bothered updating it for the 4 series because I doubt you could get them to work that way. However I've just updated the thread to include instructions on running with WeeWX, which is pretty straightforward once you've got a recipe to follow. So that will allow you to keep using your Meteostick on a Pi 4 or, in my case, an ODroid.

Post Reply